<div class="flex flex-col flex-auto min-w-0">
    <mat-card>
        <mat-card-header class="bg-blue-800 justify-center rounded-t-lg">
            <mat-label class="mb-4 text-xl text-white">แบบประเมิน ESAS</mat-label>
        </mat-card-header>

        <div class="flex flex-col divide-y">
            <div class="card-body">
                <ngx-spinner  color="#fff" type="ball-clip-rotate-multiple" size="medium">
                    <p class="myLoading">Loading Datas...</p>
                </ngx-spinner>
            </div>


            <div class="flex flex-col pt-2 pl-4" *ngFor="let r of question; let i= index">
             
                <span *ngIf="r.question_id == 49">
                    {{r.question_text}} <input type="text" name={{r.question_id}} [(ngModel)]="pain_position"
                        class="mx-2 bg-slate-100" placeholder="ตำแหน่งที่ปวด"> score : {{r.answer_score}}
                </span>
                <span *ngIf="r.question_id != 49 && r.question_id !=58">
                    {{r.question_text}} score : {{r.answer_score}}
                </span>
                <span *ngIf="r.question_id == 58">
                    {{r.question_text}} <br>
                    <mat-form-field class="flex-auto fuse-mat-dense w-full">
                        <textarea matInput [placeholder]="'อาการอื่นๆ ระบุ'" [rows]="3" name="extra_detail"
                            [(ngModel)]="extra_detail"></textarea>
                    </mat-form-field>
                </span>

                <div *ngIf="r.question_id != 58" class="mb-8 mt-2">
                    <ngx-slider name={{r.question_id}} [(ngModel)]="r.answer_score"
                        [displayWith]="r.answer_score" [options]="options">
                    </ngx-slider>
                </div>
            </div>
            <div>
                <div class=" w-full mt-4 mb-2">
                    <mat-card-actions class="grid justify-items-center">
                        <button mat-button class="bg-green-400" (click)="saveEvaluate()">
                            <mat-icon class="text-black">save</mat-icon>
                            บันทึก
                        </button>
                    </mat-card-actions>
                </div>
            </div>

        </div>

    </mat-card>
</div>